Bug 890261 - 'like' op in cpu flag filtering does not work
Summary: 'like' op in cpu flag filtering does not work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.10
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 0.12
Assignee: Qixiang Wan
QA Contact: Amit Saha
URL:
Whiteboard: Misc
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-26 05:35 UTC by Qixiang Wan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:57:27 UTC


Attachments (Terms of Use)

Description Qixiang Wan 2012-12-26 05:35:05 UTC
Description of problem:
'like' is a valid op for CPU flag filtering in hostRequires, but it doesn't work.

Version-Release number of selected component (if applicable):
beaker-0.10

How reproducible:
100%

Steps to Reproduce:
1. submit a job with:
            <hostRequires>
                <cpu><flag op="like" value="%sse%" /></cpu>
            </hostRequires>


 
Actual results:
Recipe ID xxx does not match any systems

Expected results:
System which meet the hostRequires should be scheduled.

Additional info:

Comment 1 Qixiang Wan 2012-12-26 05:48:25 UTC
patch post:

http://gerrit.beaker-project.org/#/c/1590/

Comment 4 Dan Callaghan 2013-04-11 04:57:27 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.